## bubblewrap 0.9.0

=== meson_options.txt ===
option(
  'bash_completion',
  type : 'feature',
  description : 'install bash completion script',
  value : 'enabled',
)
option(
  'bash_completion_dir',
  type : 'string',
  description : 'install bash completion script in this directory',
  value : '',
)
option(
  'bwrapdir',
  type : 'string',
  description : 'install bwrap in this directory [default: bindir, or libexecdir in subprojects]',
)
option(
  'build_rpath',
  type : 'string',
  description : 'set a RUNPATH or RPATH on the bwrap executable',
)
option(
  'install_rpath',
  type : 'string',
  description : 'set a RUNPATH or RPATH on the bwrap executable',
)
option(
  'man',
  type : 'feature',
  description : 'generate man pages',
  value : 'auto',
)
option(
  'program_prefix',
  type : 'string',
  description : 'Prepend string to bwrap executable name, for use with subprojects',
)
option(
  'python',
  type : 'string',
  description : 'Path to Python 3, or empty to use python3',
)
option(
  'require_userns',
  type : 'boolean',
  description : 'require user namespaces by default when installed setuid',
  value : 'false',
)
option(
  'selinux',
  type : 'feature',
  description : 'enable optional SELINUX support',
  value : 'auto',
)
option(
  'tests',
  type : 'boolean',
  description : 'build tests',
  value : 'true',
)
option(
  'zsh_completion',
  type : 'feature',
  description : 'install zsh completion script',
  value : 'enabled',
)
option(
  'zsh_completion_dir',
  type : 'string',
  description : 'install zsh completion script in this directory',
  value : '',
)

=== debian/changelog ===
bubblewrap (0.9.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:43:28 +0000

bubblewrap (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/p/tests-Explicitly-unshare-userns-when-testing-disable-user.patch,
    d/p/tests-Try-harder-to-evade-disable-userns.patch:
    Drop patches that were included upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 21:16:50 +0000

=== debian/control ===
Source: bubblewrap
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 iproute2 <!nocheck>,
 libcap-dev,
 libcap2-bin <!nocheck>,
 libipc-run-perl <!nocheck>,
 libselinux1-dev,
 meson,
 perl:any <!nocheck>,
 pkgconf,
 python3:any <!nocheck>,
 xsltproc,
Standards-Version: 4.6.2
Homepage: https://github.com/containers/bubblewrap
Vcs-Git: https://salsa.debian.org/debian/bubblewrap.git
Vcs-Browser: https://salsa.debian.org/debian/bubblewrap
Rules-Requires-Root: no

Package: bubblewrap
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 procps,
Description: utility for unprivileged chroot and namespace manipulation
 bubblewrap uses Linux namespaces to launch unprivileged containers.
 These containers can be used to sandbox semi-trusted applications such
 as Flatpak apps, image/video thumbnailers and web browser components,
 or to run programs in a different library stack such as a Flatpak runtime
 or a different Debian release.
 .
 By default, this package relies on a kernel with user namespaces enabled.
 Official Debian and Ubuntu kernels are suitable.
 .
 On kernels without user namespaces, system administrators can make the
 bwrap executable setuid root, allowing it to create unprivileged
 containers even though ordinary user processes cannot.

=== debian/tests/control ===
Tests:
 basic
 dev
 net
 upstream
 userns
Restrictions: allow-stderr, isolation-machine
Depends:
 bubblewrap,
 iproute2:native,
 libcap2-bin:native,
 libipc-run-perl:native,
 perl:native,
 python3:native,

Tests: upstream-usrmerge
Restrictions: allow-stderr, isolation-machine, breaks-testbed
Depends:
 bubblewrap,
 iproute2:native,
 libcap2-bin:native,
 libipc-run-perl:native,
 perl:native,
 python3:native,
 usrmerge

Tests:
 upstream-as-root
Restrictions: allow-stderr, isolation-machine, needs-root
Depends:
 bubblewrap,
 iproute2:native,
 libcap2-bin:native,
 libipc-run-perl:native,
 perl:native,
 python3:native,

## bubblewrap 0.10.0

=== debian/changelog ===
bubblewrap (0.10.0-1) unstable; urgency=high

  * New upstream release
    - This version adds the --[ro-]bind-fd option, which is necessary to
      resolve CVE-2024-42472 in Flatpak without introducing a potentially
      exploitable race condition.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 09:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bubblewrap
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Laszlo Boszormenyi (GCS) <gcs@debian.org>,
  Simon McVittie <smcv@debian.org>,

## bubblewrap 0.11.0

=== meson_options.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
   'require_userns',
   type : 'boolean',
   description : 'require user namespaces by default when installed setuid',
-  value : 'false',
+  value : false,
 )
 option(
   'selinux',
@@ -57,7 +57,7 @@
   'tests',
   type : 'boolean',
   description : 'build tests',
-  value : 'true',
+  value : true,
 )
 option(
   'zsh_completion',

=== debian/changelog ===
bubblewrap (0.11.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/tests: Drop obsolete upstream-usrmerge autopkgtest.
    This test was added to additionally run the upstream test suite on
    a /usr-merged system. Now that all systems are merged-/usr, this
    test no longer provides any benefit, and removing it will unblock
    removal of the usrmerge package. (Closes: #1091676)

  [ Simon McVittie ]
  * Also remove d/tests/upstream-usrmerge symlink

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2024 11:17:50 +0000

bubblewrap (0.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 16:15:12 +0000

bubblewrap (0.10.0+30+g0545e72-1) experimental; urgency=low

  * New upstream snapshot
    - New options to create overlay mounts (--overlay, etc.)
    - New option --level-prefix
    - Handle EINTR
    - Ensure socket control message data is aligned correctly
    - Remove Autotools build system
    - Silence Meson and compiler warnings
  * d/salsa-ci.yml: Don't run Salsa-CI for branches targeting Ubuntu
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Oct 2024 19:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  pkgconf,
  python3:any <!nocheck>,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/containers/bubblewrap
 Vcs-Git: https://salsa.debian.org/debian/bubblewrap.git
 Vcs-Browser: https://salsa.debian.org/debian/bubblewrap

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR=$(CURDIR)/debian/bubblewrap

%:
	dh $@ --buildsystem=meson+ninja --without=autoreconf

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		-Dzsh_completion_dir=/usr/share/zsh/vendor-completions \
		${NULL}
.PHONY: override_dh_auto_configure

override_dh_auto_test:
	# Remove LD_PRELOAD so we don't run with faketime. It uses
	# sem_open(), but bubblewrap runs in an environment where that
	# can't work.
	env -u LD_PRELOAD dh_auto_test

.PHONY: override_dh_auto_test

=== debian/tests/control ===
--- 
+++ 
@@ -13,17 +13,6 @@
  perl:native,
  python3:native,
 
-Tests: upstream-usrmerge
-Restrictions: allow-stderr, isolation-machine, breaks-testbed
-Depends:
- bubblewrap,
- iproute2:native,
- libcap2-bin:native,
- libipc-run-perl:native,
- perl:native,
- python3:native,
- usrmerge
-
 Tests:
  upstream-as-root
 Restrictions: allow-stderr, isolation-machine, needs-root
